<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" template="./../plantillas/plantilla1.xhtml">
        <!-- Contenedor -->
        <ui:define name="content"><br/><br/><br/>
            
            <section>
                <div class="titulo1">Cambiar Contraseña</div>
            </section>
            
            <section> 
                <h:form id="formContrasenia" class="form-horizontal"><br/><br/>
                    <p:focus context="panel1"/>
                    <h:panelGroup id="panel1" rendered="#{cuentaBean.banderaPanel1}">
                        <!-- Panel "Fecha de Observación y Observación" -->
                        <div class="row">
                            <div class="col-xs-3"/>
                            <div class="col-xs-6">
                                <div class="col-xs-1"/>
                                <div class="col-xs-10">
                                    <!-- Panel -->
                                    <div class="panel panel-default">
                                        <div class="panel-body" style="height: 120pt"><br/>


                                            <!-- Fecha de Observación -->
                                            <div class="row">
                                                <div class="col-xs-5" align="right">
                                                    <Label>Contraseña actual</Label>
                                                </div>
                                                <div class="col-xs-7">
                                                    <p:password id="contrasenia" value="#{cuentaBean.contraseniaActual}" style="width: 90%; margin-bottom: 12pt">
                                                    </p:password>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-1"/>
                                                <div class="col-xs-9" align="center">
                                                    <h:messages id="mensaje1" style="width: 100%"></h:messages>
                                                </div>
                                                <div class="col-xs-2"/>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-12" align="center">
                                                    <p:commandButton type="submit" update="mensaje1 :formContrasenia" value="Validar" action="#{cuentaBean.validaContrasenia()}" style="background: white; width: 80pt; height: 26pt"/>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-1"/>
                            </div>
                            <div class="col-xs-3"/>
                        </div>
                    </h:panelGroup>
                    <p:focus context="panel2"/>
                    <h:panelGroup id="panel2" rendered="#{cuentaBean.banderaPanel2}">

                        <!-- Panel "Fecha de Observación y Observación" -->
                        <div class="row">
                            <div class="col-xs-3"/>
                            <div class="col-xs-6">
                                <div class="col-xs-1"/>
                                <div class="col-xs-10">
                                    <!-- Panel -->
                                    <div class="panel panel-default">
                                        <div class="panel-body" style="height: 120pt"><br/>


                                            <!-- Fecha de Observación -->
                                            <div class="row">
                                                <div class="col-xs-5" align="right">
                                                    <label>Nueva contraseña</label>
                                                </div>
                                                <div class="col-xs-7">
                                                    <p:password id="nueva1" value="#{cuentaBean.contraseniaNueva1}" required="true" requiredMessage="Introduzca una contraseña." feedback="true" style="width: 90%; margin-bottom: 12pt"
                                                                promptLabel="Introduzca una contraseña" weakLabel="Seguridad Baja" goodLabel="Seguridad Media" strongLabel="Seguridad Alta">
                                                    </p:password>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-0"/>
                                                <div class="col-xs-12" align="center">
                                                    <h:messages id="mensaje2" style="width: 100%"></h:messages>
                                                </div>
                                                <div class="col-xs-0"/>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-12" align="center">
                                                    <p:commandButton type="submit" update="mensaje2 :formContrasenia" value="Aceptar" action="#{cuentaBean.nuevaContrasenia()}" style="background: white; width: 80pt; height: 26pt"/>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-1"/>
                            </div>
                            <div class="col-xs-3"/>
                        </div>
                    </h:panelGroup>

                    <p:focus context="panel3"/>
                    <h:panelGroup id="panel3" rendered="#{cuentaBean.banderaPanel3}">

                        <!-- Panel "Fecha de Observación y Observación" -->
                        <div class="row">
                            <div class="col-xs-3"/>
                            <div class="col-xs-6">
                                <div class="col-xs-1"/>
                                <div class="col-xs-10">
                                    <!-- Panel -->
                                    <div class="panel panel-default">
                                        <div class="panel-body" style="height: 120pt"><br/>


                                            <!-- Fecha de Observación -->
                                            <div class="row">
                                                <div class="col-xs-5" align="right">
                                                    <label>Repita la contraseña</label>
                                                </div>
                                                <div class="col-xs-7">
                                                    <p:password id="nueva2" value="#{cuentaBean.contraseniaNueva2}" required="true" requiredMessage="Introduzca una contraseña." style="width: 90%; margin-bottom: 12pt">
                                                    </p:password>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-0"/>
                                                <div class="col-xs-11" align="center">
                                                    <h:messages id="mensaje3" style="width: 100%"></h:messages>
                                                </div>
                                                <div class="col-xs-1"/>
                                            </div>

                                            <div class="row">
                                                <div class="col-xs-12" align="center">
                                                    <p:commandButton type="submit" update="mensaje3 :formContrasenia" value="Aceptar" action="#{cuentaBean.actualizarContrasenia()}" style="background: white; width: 80pt; height: 26pt"/>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-1"/>
                            </div>
                            <div class="col-xs-3"/>
                        </div>
                    </h:panelGroup>




                    <h:panelGroup id="panel4" rendered="#{cuentaBean.banderaPanel4}">
                        <!-- Panel "Fecha de Observación y Observación" -->
                        <div class="row">
                            <div class="col-xs-3"/>
                            <div class="col-xs-6">
                                <div class="col-xs-1"/>
                                <div class="col-xs-10">
                                    <!-- Panel -->
                                    <div class="panel panel-default">
                                        <div class="panel-body" style="height: 120pt"><br/>
                                            <!-- Fecha de Observación -->
                                            <p:spacer height="20" />
                                            <div class="row">
                                                <h4><font color="507642"><center><b>La contraseña se actualizó exitosamente.</b></center></font></h4>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-1"/>
                            </div>
                            <div class="col-xs-3"/>
                        </div>
                    </h:panelGroup> 


                </h:form>
                <p:spacer height="110" />
            </section>
            
        </ui:define>
    </ui:composition>
</html>
